/*
 * Created on 21.03.2004
 */
package ParaIrc.client;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.GridLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class ParaIrcAbout extends JFrame{
	
		public ParaIrcAbout()
		{
			GridBagLayout thisLayout = new GridBagLayout();			
			thisLayout.columnWidths = new int[] {1,2};
			thisLayout.columnWeights = new double[] {0.01,0.1};
			thisLayout.rowHeights = new int[] {1,1,1,1,1};
			thisLayout.rowWeights = new double[] {0.1,0.05,0.1,0.1,0.1};

			JLabel ProgramIcon = new JLabel();
			ProgramIcon.setIcon(new ImageIcon(ParaIrc.getParaIrcIcon(this)));
			
			this.getContentPane().setLayout(thisLayout);
			this.getContentPane().add(new JLabel(ParaIrc.AppTitle) , new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0, GridBagConstraints.CENTER, 0, new Insets(0, 0, 0, 0), 0, 0));
			this.getContentPane().add(ProgramIcon, new GridBagConstraints(0, 1, 2, 1, 0.0, 0.0, GridBagConstraints.CENTER, 0, new Insets(0, 0, 0, 0), 0, 0));
			this.getContentPane().add(new JLabel("(c) Martin Spler, 2004-2005") , new GridBagConstraints(0, 2, 2, 1, 0.0, 0.0, GridBagConstraints.CENTER, 0, new Insets(0, 0, 0, 0), 0, 0));
			this.getContentPane().add(new JLabel("E-Mail : martin"+"@"+"spueler.net") , new GridBagConstraints(0, 3, 2, 1, 0.0, 0.0, GridBagConstraints.CENTER, 0, new Insets(0, 0, 0, 0), 0, 0));
			
			// add OK Button
			ActionListener okClick = new ActionListener()
			{
				public void actionPerformed(ActionEvent arg0) {
					setVisible(false);											
				}
			};	
	  		JButton okButton= new JButton("Ok");
	  		okButton.addActionListener(okClick);
			this.getContentPane().add(okButton , new GridBagConstraints(0, 4, 2, 1, 0.0, 0.0, GridBagConstraints.CENTER, 0, new Insets(0, 0, 0, 0), 0, 0));
			
			this.setTitle("About "+ParaIrc.AppTitle);
			this.setIconImage(ParaIrc.getParaIrcIcon(this));
			this.setSize(250,200);
			this.setLocationRelativeTo(ParaIrc.getGui());
		}	
}
