/*
 * Created on 23.04.2004
 */

package ParaIrc.client;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;


public class ParaIrcCommandWindow extends JFrame
{
	private JTextField text;
	private JLabel label;
	private JButton okButton;
	
	private String state="";
	
	final String JOINCHANNEL="joinchannel";
	final String CHANGENICK="changenick";
	
	public ParaIrcCommandWindow(String command)
	{
		ActionListener OKClick = new ActionListener()
		   {
			public void actionPerformed(ActionEvent arg0) 
			{
				if (state.equals(JOINCHANNEL))
				{
					ParaIrc.loader.processMessage("/join "+text.getText(),"");
					setVisible(false);
				}
				else if (state.equals(CHANGENICK))
				{
					ParaIrc.loader.processMessage("/nick "+text.getText(),"");
					setVisible(false);
				}
			}

		   };
		this.setSize(280,90);
		this.setLocationRelativeTo(ParaIrc.getGui());
		this.setIconImage(ParaIrc.getParaIrcIcon(this));
		this.getContentPane().setLayout(new BorderLayout());
		text=new JTextField();
		label= new JLabel("");
		text.addActionListener(OKClick);
		okButton=new JButton("Ok");
		okButton.addActionListener(OKClick);
		this.getContentPane().add(label,BorderLayout.NORTH);
		this.getContentPane().add(text);
		this.getContentPane().add(okButton,BorderLayout.SOUTH);
		if (command.equals(JOINCHANNEL))
		{
			this.setTitle("join Channel");
			text.setText("#");
			label.setText("join Channel :");
			okButton.setText("join");
			state=JOINCHANNEL;
		}
		else if (command.equals(CHANGENICK))
		{
			okButton.setText("change");
			this.setTitle("change Nickname");
			label.setText("change Nickname :");
			state=CHANGENICK;
		}
		
	}
}
