
package ParaIrc.irclib;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.Socket;

public class waitingDCC extends Thread{
	
	private String sender;
	private String command;
	private String filename;
	private String ip;
	private int port;
	private int filesize;
	private Socket socket;
	
	// for DDC Connection
	private BufferedReader ircInRead;
	private BufferedWriter ircOutWrite;
	private InputStream ircIn;
	private OutputStream ircOut;

	waitingDCC(String sender,String command,String filename, String ip,int port,int filesize)
	{
		this.sender=sender;
		this.command=command;
		this.filename=filename;
		this.ip=ip;
		this.port=port;
		this.filesize=filesize;
	}
	/**
	 * When DCCQueue got Ok -> Connect
	 */
	
	private byte[] inttoByteArray(int value)
	{
		byte[] b= new byte[16];
		byte counter=0;
		while (value>0)
		{
			b[counter]=(byte)(value%256);
			value=value/256;
			counter++;
		}
		byte[] c  = new byte[4];
		for (int i=0;i<counter;i++)
		{
			c[4-i-1]=b[i];
		}
		return c;
	}
	
	public void start() {
		try {
			socket= new Socket(ip,port);
			socket.setSoTimeout(Irc.ServerTimeout);
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		try
		{	
			ircIn=socket.getInputStream();
			ircOut=socket.getOutputStream();
			ircInRead=new BufferedReader(new InputStreamReader(ircIn));
			ircOutWrite=new BufferedWriter(new OutputStreamWriter(ircOut));
			
			String message="";
			int comsize=0;
			
			while(comsize<filesize)
			{
				int psize=ircIn.available();
				byte[] b=new byte[psize];
				ircIn.read(b);
				comsize+=psize;
				if (psize!=0)
				{		
					ircOut.write(inttoByteArray(comsize));
				}//ircOut.flush();
					
			}
			

		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
